﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Datum
{
    public partial class hlavniOkno : Form
    {
        private DatumRoz datum;
        
        public hlavniOkno()
        {
            InitializeComponent();

            datum = new DatumRoz(1,1,2000);
            lblDatum.Text = datum.ToString();
        }

        private void btnRok_Click(object sender, EventArgs e)
        {
            if (datum.JePrestupnyRok())
                MessageBox.Show("Ano, je přestupný rok","Datum",
                    MessageBoxButtons.OK,MessageBoxIcon.Information);
                else MessageBox.Show("Ne, není přestupný rok", "Datum",
                         MessageBoxButtons.OK, MessageBoxIcon.Information); 

        }

        private void btnPricti_Click(object sender, EventArgs e)
        {
            datum.PrictiDen();
            lblDatum.Text = datum.ToString();
        }

        private void btnOdecti_Click(object sender, EventArgs e)
        {
            datum.OdectiDen();
            lblDatum.Text = datum.ToString();
        }
    }
}
