﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Kalkulacka
{
    public partial class HlavniOkno : Form
    {
        private Vypocty vypocty;

        public HlavniOkno()
        {
            InitializeComponent();
            vypocty = new Vypocty(); 
        }

        private bool NastavXY()
        {
            int opX, opY;

            if (Int32.TryParse(txbX.Text, out opX))
               {
                    vypocty.X = opX;
                    if (Int32.TryParse(txbY.Text, out opY))
                       {
                            vypocty.Y = opY;
                            return true;
                       }
                       else
                       {
                            txbY.Focus();
                            return false;
                       }
               }
               else
               {
                    txbX.Focus();
                    return false; 
               } 
        }

        private void btnPlus_Click(object sender, EventArgs e)
        {
            if (NastavXY())
               txbVysledek.Text = vypocty.Soucet().ToString();
               else txbVysledek.Text = "Chyba!";
        }

        private void btnMinus_Click(object sender, EventArgs e)
        {
            if (NastavXY())
               txbVysledek.Text = vypocty.Rozdil().ToString();
               else txbVysledek.Text="Chyba!";
        }

        private void btnKrat_Click(object sender, EventArgs e)
        {
            if (NastavXY())
               txbVysledek.Text = vypocty.Soucin().ToString();
               else txbVysledek.Text="Chyba!";
        }

        private void btnDeleno_Click(object sender, EventArgs e)
        {
            if (NastavXY() && vypocty.Y != 0)
               txbVysledek.Text = vypocty.Podil().ToString();
               else txbVysledek.Text="Chyba!";
        }
    }

    class Vypocty
    {
        public int X
        {
            get;
            set;
        }

        public int Y
        {
            get;
            set;
        }

        public Vypocty()
        {
            X = 0;
            Y = 0;
        }

        public int Soucet()
        {
            return X + Y;
        }

        public int Rozdil()
        {
            return X - Y;
        }

        public int Soucin()
        {
            return X * Y;
        }

        public double Podil()
        {
            return (double) X / (double) Y;
        }

    }
}
